Subject: Re: [OSPF] OSPF Hybrid Broadcast and P2MP Interface Type

From: Richard Ogier <[email-masked]>
Date: Fri, 08 Apr 2011 11:50:50 -0700

I decided to read the posts regarding this draft (hybrid-bcast-p2mp),
since it is related to OSPF-MANET, and have a few comments.

It was mentioned that RFC 5820 (OSPF-MANET with smart peering) solves
the problem of this draft, assuming that smart peering and unsynchronized
adjacencies are used. (E.g., Sheth's post on 2/10/2011.)

I also want to point out that RFC 5614 (OSPF-MANET-MDR or OSPF-MDR),
which uses CDS flooding via MDRs (MANET Designated Routers), not only
solves the problem of this draft, but provides almost the same solution
as this draft when OSPF-MDR (with full-topology LSAs and biconnected
adjacencies) is applied to single-hop broadcast networks.

The hybrid-bcast-p2mp draft is nice because it requires only minimal
modifications to OSPF, keeping the DR and BDR and the same adjacencies.
The reason that OSPF-MDR applied to single-hop broadcast networks
provides almost the same solution as this draft is because it
generalizes the concept of DRs and BDRs to MANETs, and requires
only 2 adjacencies for a non-DR/BDR (or non-MDR/BMDR) in a
single-hop broadcast network.  More on this (near) equivalence below.

In contrast, the solution of draft-retana-ospf-manet, which applies
RFC 5820 with smart peering to single-hop broadcast networks, is quite
different, resulting in a more random selection of adjacencies,
which are not common to any single node such as a DR.
Thus, unlike the other two solutions, draft-retana-ospf-manet is
conceptually quite different from OSPF broadcast, since it does not
use the concept of the DR and BDR.

One of the goals in the design of OSPF-MDR was to minimize changes
to OSPF.  Thus, instead of throwing out the DR and BDR, they were
generalized to multi-hop networks, and were kept essentially the
same in the special case of a single-hop network, for the purpose
of flooding and forming adjacencies.  More information on OSPF-MDR
can be found at www.manet-routing.org.

Now more on the (near) equivalence between hybrid-bcast-p2mp and
OSPF-MDR when applied to a single-hop broadcast network.
In this case, the MDR selection algorithm is very similar to the
DR election algorithm of OSPF, and both select a single DR/MDR.
(There are a few minor differences that are not important to
this discussion.)  Also, if AdjConnectivity = 2, each node forms
an adjacency with the MDR and BMDR.

The origination of router LSAs is also nearly equivalent.
The rules in Section 3.6 of hybrid-bcast-p2mp, which specifies
which Type 1 links a non-DR includes in its router LSA,
are similar to the corresponding rules in RFC 5614 when
LSAFullness = 4 (full-topology LSAs).  In that case, a router
includes all bidirectional (2-Way or higher) neighbors that are
"routable", where a neighbor is routable if SPF has calculated
a route to the neighbor.  Note that SPF will calculate such a route
to the neighbor as long as both the router itself and the neighbor
are fully adjacent to the MDR.

This is slightly different from Section 3.6 of hybrid-bcast-p2mp, which
only requires that the router itself be fully adjacent to the DR (thus
relying on the requirement of SPF that the neighbor must include a
link back to the router in its LSA).  But both solutions achieve the
same goal, in a similar way, using a single DR/MDR that becomes
adjacent with all neighbors.

Richard

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Mon, 11 Apr 2011 15:09:07 -0400

Richard,

Thanks for your comments and detailed comparison.

> -----Original Message-----
> From: Richard Ogier [mailto:[email-masked]] 
> Sent: Friday, April 08, 2011 2:51 PM
> To: [email-masked]
> Subject: Re: [OSPF] OSPF Hybrid Broadcast and P2MP Interface Type
> 

We actually try to completely disassociated it from OSPF-MANET, and the premise is really about "true broadcast single-hop network with per-neighbor metrics".

> adjacencies are used. (E.g., Sheth's post on 2/10/2011.)

Sheth's comment is not really about that RFC 5820 solves the problem. Rather, a comment was made by someone else about RFC 5820's applicability here and Sheth was trying to point out what exactly need to be done if one were to use MANET to get the same result.

> adjacencies) is applied to single-hop broadcast networks.

The final result does look similar.

> modifications to OSPF, keeping the DR and BDR and the same 

Right - that's why we have been trying to completely disassociating it from various MANET methods.

One could look at it and the alternatives the following way:

- Hybrid method is a smiple and straightforward "step-up" from the well-known/understood/implemented/deployed broadcast interface
- MANET method is a "step-down" from the MANET interface which has relatively fewer implementations/deployments, and which is understood by fewer people, and which does require some MANET-related code.

Therefore, we believe the hybrid way is worth the WG effort to standardize it.

We hope you were not really opposing its acceptance as a WG item, but it is not quite clear so if you could clarify that'd be great.

Thanks.
Jeffrey

---

From: Richard Ogier <[email-masked]>
Date: Tue, 12 Apr 2011 13:11:23 -0700

Jeffrey,

I agree with your comments and was not opposing acceptance of the hybrid 

>modifications to OSPF, keeping the DR and BDR and the same 

My main point was to show how OSPF-MDR (RFC 5614) provides a similar 
solution when applied to single-hop networks, since the application of 
RFC 5820 to such networks had already been discussed.  In particular, 
RFC 5614 looks a lot like OSPF when applied to single-hop networks (with 
DR, BDR and associated adjacencies) whereas RFC 5820 looks quite different.

Richard